from odoo import models,fields

class QVEmpleados(models.Model):
    _inherit = 'hr.employee'
    _description = 'Empleado Models'
    
    grupo_sanguineo = fields.Selection([
        ('OP','O+'),
        ('ON','O-'),
        ('BP','A+'),
        ('BN','A-')],'RH')
    
    tipo_documento = fields.Selection([ 
        ('CC','Cédula de Ciudadania'),
        ('TI','Tarjeta de Identidad'),
        ('TE','Tarjeta de Extranjeria'),
        ('NIT','NIT'),
        ('Pasaporte','Pasaporte'),
        ('DIE','Documento de Identificacion del Extranjero'),
        ('SIE','Sin Identificacion del Extrajero o para Uso de la DIAN')
        
    ],'Tipo de Documento ') 
    

    genero = fields.Selection([
        ('No binario','No binario'),
        ('Femenino','Femenino'),
        ('Masculino','Masculino'),
        ('Transgenero','Transgenero')
        
    ],'Genero')  
    
    
    parentesco = fields.Selection([
        ('Madre','Madre'),
        ('Padre','Padre'),
        ('Hermano','Hermano'),
        ('Hermana','Hermana'),
        ('Hijo','Hijo Mayor de Edad'),
        ('conyuge','Conyuge '),
        ('Abuelo','Abuelo'),
        ('Abuela','Abuela'),
        ('Tio','Tio'),
        ('Tia','Tia'),
        ('Amigo','Amigo'),
    ],'Parentesco') 
    
    
    vivienda = fields.Selection([ 
        ('Apartamento','Apartamento'), 
        ('Apartaestudio','Apartaestudio'),   
        ('Casa','Casa'),   
        ('Penthose','Penthose'),                          
        
    ],'Tipo de Vivienda')
    
    hijos = fields.Selection([
        ('No','No'),
        ('Si','Si')
    ],'Hijos') 
    
    Mascotas=fields.Selection([
            ('1','1'),
            ('2','2'),
            ('3','3'),
            ('4','4'),
            ('5','5')
       ],'Número de Mascotas' )  
    
    
    
    tipo_via = fields.Char(string='Tipo De Via')
    nombre_via = fields.Char(string='Nombre/Numero Via')
    via_principal = fields.Char(string='Com.Via Principal')
    numero_via = fields.Char(string="Numero Via sec.")
    comp_via = fields.Char(string="Comp.Via Sec.")
    numero_casa = fields.Char(string="Numero Casa/Torre")
    complemento = fields.Char(string="Complemento")
    barrio = fields.Char(string="Barrio")
    localidad = fields.Char(string="Localidad")
    linkedin = fields.Char(string="Linkedin")
    facebook = fields.Char(string="Facebook")
    instagram = fields.Char(string="Instagram")
    skype =  fields.Char(string="Skype")
    twitter = fields.Char(string="Twitter") 
    numero_documento_identidad = fields.Char(string='Numero de Documento')
    fondo_pensiones = fields.Char(string='Fondo de Pensiones')
    eps = fields.Char(string='EPS')
    apellidos = fields.Char(string='Apellidos') 
    telefono_personal=fields.Char(string='Telefono Personal')
    email_personal=fields.Char(string='Correo Personal')
    primer_nombre=fields.Char(string='Primer Nombre')
    segundo_nombre=fields.Char(string='Siguientes Nombres')
    primer_apellido=fields.Char(string='Primer Apellido')
    segundo_apellido=fields.Char(string='Segundo Apellido')
    
    departamento_empleado_ids = fields.Many2one('departamento.empleado',string='Departamento de Residencia')
    ciudad_empleado_ids = fields.Many2one('ciudad.empleado',string='Ciudad de Residencia') 
    legalInfo_ids = fields.One2many('informacion.legal','empleado_legal_ids', string='Descripcion')
    inforFami_ids =fields.One2many('informacion.familiar','inforfami_ids',string='Informacion Familiar')
    inforMascotas_ids=fields.One2many('informacion.mascota','inforMas_ids',string='Mascotas')
    
  
  
class DepartamentoEmpleado(models.Model):
    
    _name='departamento.empleado'
    _description = 'Departamentos Models'
    _rec_name = 'departamento'
   
    departamento=fields.Text(string='departamento') 
           
   
class CiudadEmpleado(models.Model):
    _name='ciudad.empleado'
    _description = 'Ciudad Models'
    _rec_name ='ciudad'
    
    ciudad=fields.Text(string='ciudad') 
    
    
class LegalInfo(models.Model):
    
    _name='informacion.legal'
    _description='Legal Models'
   
    lgl_desc=fields.Text(string='Descripcion') 
    lgl_tema= fields.Selection([
        
        ('ant pen','Antecedentes Penales'),
        ('Benef tr','Beneficios Tributarios'),
        ('Cert act asig','Certificados De Activos Asignados'),
        ('Cert sft asig','Certificados De software Asignados'),
        ('Cert afilia','Certificado De Afiliacion'),
        ('Clau de conf ','Clausula De Confidencialidad'),
        ('contr tra','Contrato De Confidencialidad'),
        ('Demanda de Alimentos', 'Demanda De Alimentos'),
        ('Embargo Sobre Salario','Embargo Sobre Salario'),
        ('Examenes ing','Examenes De Ingreso'),
        ('Examenes ret','Examenes De Retiro'),
        ('Exm per','Examenes Periodicos'),
        ('Otro si','Otro si al contrato de trabajo'),
        ('Protecc','Proteccion De Datos Personales '),
        ('Referen','Referenciacion')
        
    ],'Tema Legal')
    
    pdf = fields.Binary(string='Certificado(PDF)')
    
    empleado_legal_ids=fields.Many2one('hr.employee',string='Empleado') 
    
    
class InforFami(models.Model):
    
    _name='informacion.familiar'
    _description='Informacion familiar Models' 


    documento_tipo = fields.Selection([ 
        ('CC','Cédula de Ciudadania'),
        ('TI','Tarjeta de Identidad'),
        ('TE','Tarjeta de Extranjeria'),
        ('NIT','NIT'),
        ('Pasaporte','Pasaporte'),
        ('DIE','Documento de Identificacion del Extranjero'),
        ('SIE','Sin Identificacion del Extrajero o para Uso de la DIAN')
        
    ],'Tipo de Documento ') 
    
    
    relacion=fields.Selection([
        ('pad','Padre'),
        ('hij','Hijo/a'),
        ('cony','Conyugue o Compañero Permanente'),
        ('hermf','Hermano Huerfano')
    ]) 
    
    hijos = fields.Selection([
        ('No','No'),
        ('Si','Si')
    ],'Tiene Hijos/s')

      
    copia_doc=fields.Binary(string='Copia de Identificaciòn') 
    num_doc=fields.Char(string='Numero de Documento')
    nombres=fields.Char(string='Nombres')
    apellidos=fields.Char(string='Apellidos')
    telefono=fields.Char(string='Telefono') 
    fecha=fields.Date(string='Fecha Nacimiento')
    movil=fields.Char(string='Telefono(Mobile)')
    
       
    
    inforfami_ids=fields.Many2one('hr.employee',string='Empleado')
    
   
class MascoEmpleado(models.Model):
       _name='informacion.mascota'
       _description='Informacion Mascotas Models' 
       
       numeroMas=fields.Selection([
            ('1','1'),
            ('2','2'),
            ('3','3'),
            ('4','4'),
            ('5','5')
       ],'Número de Mascotas' )  
       
       tipo_mas=fields.Selection([
           ('perro','Perro'),
           ('gato','Gato'),
           ('tortuga','Tortuga')
           
       ], 'Tipo de Mascota')
       
       nombre_mascota=fields.Char(string='Nombre de la mascota')
       
       inforMas_ids=fields.Many2one('hr.employee',string='Empleado') 
       
class QVUsuarios(models.Model):
        _inherit='resource.resource'
        _description='Informacion de usuarios'
        
        segundo_nombre=fields.Char(string='Siguientes Nombres')
        primer_apellido=fields.Char(string='Primer Apellido')
        segundo_apellido=fields.Char(string='Segundo Apellido')
              
      
class InteEmpleado(models.Model):
       _name='informacion.intereses'
       _description='intereses del empleado'
       
       inter_personales=fields.Char(string='Intereses Personales')
       interDescrip=fields.Char(string='Descripción')
       
       
   